| OpenCV 4.3.0 Open Source Computer Vision

Public Types | Public Member Functions | Public Attributes | List of all members
cv::cudev::GlobPtr< T > Struct Template Reference
CUDA-accelerated Computer Vision » Device layer

Structure similar to cv::cudev::GlobPtrSz but containing only a pointer and row step. More...

`#include <opencv2/cudev/ptr2d/glob.hpp>`

Inheritance diagram for cv::cudev::GlobPtr< T >:

## Public Types
typedef int | index_type
typedef T | value_type

## Public Member Functions
__device__ __forceinline__ T & | operator() (int y, int x)
__device__ __forceinline__ const T & | operator() (int y, int x) const
__device__ __forceinline__ T * | row (int y)
__device__ __forceinline__ const T * | row (int y) const

## Public Attributes
T * | data
size_t | step
| stride between two consecutive rows in bytes. Step is stored always and everywhere in bytes!!! More...

## Detailed Description

### template<typename T>
struct cv::cudev::GlobPtr< T >

Structure similar to cv::cudev::GlobPtrSz but containing only a pointer and row step.

Width and height fields are excluded due to performance reasons. The structure is intended for internal use or for users who write device code.

## Member Typedef Documentation

## ◆ index_type

template<typename T>

typedef int cv::cudev::GlobPtr< T >::index_type

## ◆ value_type

template<typename T>

typedef T cv::cudev::GlobPtr< T >::value_type

## Member Function Documentation

## ◆ operator()() [1/2]

template<typename T>

__device__ __forceinline__ T& cv::cudev::GlobPtr< T >::operator() | ( | int | y,
|  | int | x
| ) |  |
| inline

## ◆ operator()() [2/2]

template<typename T>

__device__ __forceinline__ const T& cv::cudev::GlobPtr< T >::operator() | ( | int | y,
|  | int | x
| ) |  | const
| inline

## ◆ row() [1/2]

template<typename T>

__device__ __forceinline__ T* cv::cudev::GlobPtr< T >::row | ( | int | y | ) |
| inline

## ◆ row() [2/2]

template<typename T>

__device__ __forceinline__ const T* cv::cudev::GlobPtr< T >::row | ( | int | y | ) | const
| inline

## Member Data Documentation

## ◆ data

template<typename T>

T* cv::cudev::GlobPtr< T >::data

## ◆ step

template<typename T>

size_t cv::cudev::GlobPtr< T >::step

stride between two consecutive rows in bytes. Step is stored always and everywhere in bytes!!!

The documentation for this struct was generated from the following file:

- opencv2/cudev/ptr2d/glob.hpp